Sign in to follow this  
ualani

Error When Patching Fixer With Cloud Shadows

Recommended Posts

I get an error message when running the Cloud Shadows 1.12 installer. It won't patch my Scenery Fixer (purchased through FSS.) error is:

The installation did not complete successfully.

Error details.

Patching failed for file C:\SteveFx\DX10 Cloud Shadows\Cloud Patch5.dll (0)

System Error Was 2.

I tried uninstalling and reinstalling to retry the installation, as suggested. No luck.I don't even know if Cloud Shadows was updated either.

Thanks

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

I was testing that all morning to make sure it was ok...  Can you send me a pm so I can get your email address as it will,be easier to investigate

Share this post


Link to post
Share on other sites

Alright I have reproduced the error.  It occursif  installing CloudShadows 1.12 to a FSS based system that was previously updated to 3.5 via Cloud Shadows 1.10

As a workaround whilst I investigate 

1) uninstall cloud shadows .from control panel

2) go to the directory you installed the fixer - the default would have been  C:\Program Files (x86)\DX10SceneryFixer

3) go down into the libraries directory

4) take a copy of the file d3dx10_34.dll and rename it to  ROOTd3dx10_34.dll - don't rename the original in that directory you must create a copy.

5) install cloud shadows 1.12

Share this post


Link to post
Share on other sites

There is an updated file on fastspring 1.12.1  which has a modified installer to fix this.  There is no point in downloading and installing this if you either didn't have the problem or did have the problem but applied the workaround above.

  • Like 1

Share this post


Link to post
Share on other sites

Any issues at all? - I am slightly concerned that I have one customer with problems running fsx post install.

Share this post


Link to post
Share on other sites

Reverted to Fixer 3.4 and uninstalled Cloud Shadows and FSX starts. Installed Cloud Shadows 1_10-0 and problem back. Oddly. when I did this, Fixer says it's now ver 4.0.

 

 

Share this post


Link to post
Share on other sites

yes the uninstall of the FSS installer doesn't work very well and (obviously) I cannot get it improved.   After uninstalling it you need  to delete the contents  of c:\program files x86 \DX10SceneryFixer to start from a clean state.

So try that - install the fixer again (sorry)

Install 1.10.0 and confirm that it all works.

Then I will ask you to send me various things via email.  I will at some point get you to try the workaround to see whether that cause the same issue or not but wait for instructions.

 

Edited by SteveFx

Share this post


Link to post
Share on other sites

Uninstalled, reinstalled and back to 3.4. FSX runs.Will hold off on trying to install any version of Cloud Shadows for now.

 

Steve

 

Share this post


Link to post
Share on other sites

Completely went back to Fixer 3.4 and Shadows 1_10_0 and all is well. (I think. At least FSX executes.)

Share this post


Link to post
Share on other sites

Ok will speak tomorrow. Rather than installing 1.12  I will send you individual files to place in your fixer directory.  At the moment I don't know whether the issue is 4.0 not working on some systems or an issue related to the patching process.

Share this post


Link to post
Share on other sites

An update on this.  So far two customers Ualani and one other have reported this issue updating the FSS version to v4.0 using Cloud Shadows. There is an issue in the patching process that I have yet to identify - it doesn't seem to be an issue with v4.0 itself.  I have temporarily removed 1.12 whilst I (try to) identify the issue.

Share this post


Link to post
Share on other sites

I have resolved the issue for the two people who reported it.   I building a new version of cloud shadows 1.12.2  which will address this and will upload it shortly.

Share this post


Link to post
Share on other sites

This is resolved there is a new build 1.12.2 available for download.  Note if you have had an issue after installing 1.12.1 you must uninstall it then reinstall the fixer and then install 1.12.2

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this